Orxonox: orxonox::FadeoutText Class Reference

# orxonox::FadeoutText Class Reference

`#include <src/orxonox/overlays/FadeoutText.h>`

Inheritance diagram for orxonox::FadeoutText:

List of all members.

## Public Member Functions

| FadeoutText (BaseObject *creator)
float | getDelay () const
float | getFadeouttime () const
void | setDelay (float delay)
void | setFadeouttime (float fadeouttime)
virtual void | tick (float dt)
| Gets called every frame.
virtual void | XMLPort (Element &xmlElement, XMLPort::Mode mode)
| Loads the OrxonoxOverlay.
virtual | ~FadeoutText ()

## Private Member Functions

virtual void | changedCaption ()
virtual void | changedColour ()
void | fadeout ()
void | reset ()

## Private Attributes

bool | bFadingOut_
float | delay_
float | fadeouttime_
Timer< FadeoutText > | fadeouttimer_
float | initialAlpha_

## Constructor & Destructor Documentation

orxonox::FadeoutText::FadeoutText | ( | BaseObject * | creator | ) |

References bFadingOut_, orxonox::createExecutor(), delay_, fadeout(), fadeouttime_, fadeouttimer_, initialAlpha_, and RegisterObject.

virtual orxonox::FadeoutText::~FadeoutText | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

void orxonox::FadeoutText::changedCaption | ( |  | ) | `[private, virtual]`

Reimplemented from orxonox::OverlayText.

References orxonox::OverlayText::changedCaption(), delay_, fadeouttimer_, and reset().

void orxonox::FadeoutText::changedColour | ( |  | ) | `[private, virtual]`

Reimplemented from orxonox::OverlayText.

References orxonox::OverlayText::changedColour(), orxonox::OverlayText::getColour(), and initialAlpha_.

void orxonox::FadeoutText::fadeout | ( |  | ) | `[private]`

References bFadingOut_.

Referenced by FadeoutText().

float orxonox::FadeoutText::getDelay | ( |  | ) | const`[inline]`

Referenced by XMLPort().

float orxonox::FadeoutText::getFadeouttime | ( |  | ) | const`[inline]`

Referenced by XMLPort().

void orxonox::FadeoutText::reset | ( |  | ) | `[private]`

References bFadingOut_, orxonox::MT_Type::ColourValue, orxonox::OverlayText::getColour(), initialAlpha_, and orxonox::OverlayText::text_.

Referenced by changedCaption(), and tick().

void orxonox::FadeoutText::setDelay | ( | float | delay | ) | `[inline]`

Referenced by orxonox::AnnounceMessage::AnnounceMessage(), orxonox::DeathMessage::DeathMessage(), orxonox::KillMessage::KillMessage(), and XMLPort().

void orxonox::FadeoutText::setFadeouttime | ( | float | fadeouttime | ) | `[inline]`

Referenced by orxonox::AnnounceMessage::AnnounceMessage(), orxonox::DeathMessage::DeathMessage(), orxonox::KillMessage::KillMessage(), and XMLPort().

void orxonox::FadeoutText::tick | ( | float | dt | ) | `[virtual]`

Gets called every frame.

Parameters:

  | dt | The time since the last frame in seconds

Implements orxonox::Tickable.

References bFadingOut_, orxonox::MT_Type::ColourValue, fadeouttime_, orxonox::OverlayText::getColour(), reset(), and orxonox::OverlayText::text_.

void orxonox::FadeoutText::XMLPort | ( | Element & | xmlElement,
|  | XMLPort::Mode | mode |
| ) |  |  | `[virtual]`

Loads the OrxonoxOverlay.

This has to be called before usage, otherwise strange behaviour is guaranteed! (there should be no segfaults however). XML loading and saving.

Parameters:

  | xmlelement | The XML-element
  | loading | Loading (true) or saving (false)

Returns:
  The XML-element

Reimplemented from orxonox::OverlayText.

References getDelay(), getFadeouttime(), setDelay(), setFadeouttime(), SUPER, and XMLPortParam.

## Member Data Documentation

bool orxonox::FadeoutText::bFadingOut_`[private]`

Referenced by fadeout(), FadeoutText(), reset(), and tick().

float orxonox::FadeoutText::delay_`[private]`

Referenced by changedCaption(), and FadeoutText().

float orxonox::FadeoutText::fadeouttime_`[private]`

Referenced by FadeoutText(), and tick().

Timer<FadeoutText> orxonox::FadeoutText::fadeouttimer_`[private]`

Referenced by changedCaption(), and FadeoutText().

float orxonox::FadeoutText::initialAlpha_`[private]`

Referenced by changedColour(), FadeoutText(), and reset().

The documentation for this class was generated from the following files:

- src/orxonox/overlays/FadeoutText.h
- src/orxonox/overlays/FadeoutText.cc